Subject: [PATCH 2.6.19 3/5] dm: multipath: fix rr_add_path order
To: Andrew Morton <akpm@osdl.org>                                                                                                    
Cc: linux-kernel@vger.kernel.org, dm-devel@redhat.com, Jonathan E Brassow <jbrassow@redhat.com>

From: Jonathan E Brassow <jbrassow@redhat.com>

When adding paths to the round-robin path selector, their order gets
inverted, which is not desirable.

Fix by replacing list_add() with list_add_tail().

Signed-off-by: Jonathan E Brassow <jbrassow@redhat.com>
Signed-off-by: Alasdair G Kergon <agk@redhat.com>
Cc: dm-devel@redhat.com

Index: linux-2.6.19-rc4/drivers/md/dm-round-robin.c
===================================================================
--- linux-2.6.19-rc4.orig/drivers/md/dm-round-robin.c	2006-11-07 17:06:19.000000000 +0000
+++ linux-2.6.19-rc4/drivers/md/dm-round-robin.c	2006-11-07 17:07:59.000000000 +0000
@@ -136,7 +136,7 @@ static int rr_add_path(struct path_selec
 
 	path->pscontext = pi;
 
-	list_add(&pi->list, &s->valid_paths);
+	list_add_tail(&pi->list, &s->valid_paths);
 
 	return 0;
 }
